<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="/dist/css/bootstrap.css">
    <title>Admin</title>
</head>

<body>
    <div class="container">
        <table class="table table-sm">
            <% tasks.forEach(task => { %>
            <tr>
                <td>Заказ <%=task.orderId%></td>
                <td>от клиента №<%=task.customerId%></td>
                <td>
                    <% if(task.printed) { %>
                    <%= 'напечатан' %>
                    <% } else { %>
                    <%= 'не напечатан' %>
                    <% } %>
                </td>
                <td>
                    <% if(task.jobId >= 0) { %>
                    <%= 'под номером ' + Number(task.jobId).toString() %>
                    <% } else { %>
                    <%= 'из-за ошибки' %>
                    <% } %>
                </td>
                <td><a href="#" class="printCommand" orderid="<%=task.orderId%>">В печать</a></td>
            </tr>
            <% }) %>
        </table>
    </div>

    <script>
        document.querySelectorAll('.printCommand').forEach(link => {
            link.onclick = function(e) {
                alert(link.getAttribute('orderid'));
            }
        })
    </script>
</body>

</html>